Subject: bug#36940: closed (Re: bug#36940: tests slowness and failure after recent Tramp changes)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 15 Aug 2019 04:27:02 +0000

Your bug report

#36940: tests slowness and failure after recent Tramp changes

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36940: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36940
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36940: tests slowness and failure after recent Tramp changes
From: Paul Eggert <[email-masked]>
To: Michael Albinus <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked]
Date: Wed, 14 Aug 2019 21:26:09 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Albinus wrote:
> I guess there's nothing left to do with this bug. Is it OK to close?

Sure, closing it now.

Subject: tests slowness and failure after recent Tramp changes
From: Paul Eggert <[email-masked]>
To: Emacs bug reports and feature requests <[email-masked]>
Cc: Michael Albinus <[email-masked]>
Date: Mon, 5 Aug 2019 17:28:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm having trouble with 'make check' after the recent Tramp changes on master. 
First, the Tramp tests are now too slow; they take over 6 minutes on my platform 
(Fedora 30 x86-4, AMD Phenom II X4 910e, default optimization), which is so slow 
that I don't want to run 'make check' while developing, which would be a bad 
habit to get into.

Second, the tramp-test19-directory-files-and-attributes test now fails.

A nit: the output has some weird spacing and log lines.

Attached is a log illustrating the problem.